# join.social.coop

This is a small web application that provides a registration form for
social.coop and socialcoop.meet.coop. The data in the submitted form is added
as an issue in the [Community Operations repository] on GitLab, where it is
processed by a member of the Community Operations team. *join.social.coop* is
deployed by our [Ansible playbook].

The socialcoop.meet.coop registration form requires a login at social.coop
Mastodon in order to be viewable.

TODO: this application should probably be simplified and modified to work with the auth.social.coop SSO provider instead of Mastodon oauth.

## Configure

Copy `example-config.js` to `config.js` and use our [pass] repository to
populate the places in `config.js` where you see `CHANGEME`.

## Run

```
$ npm install
$ npm serve
```

[Ansible playbook]: https://git.coop/social.coop/tech/ansible
[Community Operations repository]: https://git.coop/social.coop/community/operations/-/issues
